For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Ask AIPlaygroundLoginFree API Key
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
HomeAPI ReferenceVoice AgentSpeech-to-TextText-to-SpeechIntelligenceSelf-Hosted Deployments
  • General
    • Deepgram API Overview
    • Authentication
    • Regional Endpoints
    • Custom Endpoints
    • Errors
    • API Rate Limits
  • API Reference
        • POSTAnalyze Text
LogoLogo
Ask AIPlaygroundLoginFree API Key
API ReferenceText Intelligence

Analyze Text

POST
https://api.deepgram.com/v1/read
POST
/v1/read
1import requests
2
3url = "https://api.deepgram.com/v1/read"
4
5payload = { "url": "https://example.com/audio/interview-episode1.mp3" }
6headers = {
7 "Authorization": "Token <apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
Try it
1{
2 "metadata": {
3 "metadata": {
4 "request_id": "d04af392-db11-4c1d-83e1-20e34f0b8999",
5 "created": "2024-11-18T23:47:44.674Z",
6 "language": "en",
7 "summary_info": {
8 "model_uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
9 "input_tokens": 350,
10 "output_tokens": 75
11 },
12 "sentiment_info": {
13 "model_uuid": "f1e2d3c4-b5a6-7890-cdef-1234567890ab",
14 "input_tokens": 350,
15 "output_tokens": 10
16 },
17 "topics_info": {
18 "model_uuid": "123e4567-e89b-12d3-a456-426614174000",
19 "input_tokens": 350,
20 "output_tokens": 20
21 },
22 "intents_info": {
23 "model_uuid": "0a1b2c3d-4e5f-6789-abcd-ef0123456789",
24 "input_tokens": 350,
25 "output_tokens": 15
26 }
27 }
28 },
29 "results": {
30 "summary": {
31 "results": {
32 "summary": {
33 "text": "This transcript highlights the significance of the first all-female spacewalk and honors the women pioneers who paved the way."
34 }
35 }
36 },
37 "topics": {
38 "results": {
39 "topics": {
40 "segments": [
41 {
42 "text": "And, um, I think if it signifies anything, it is, uh, to honor the the women who came before us who, um, were skilled and qualified, um, and didn't get the the same opportunities that we have today.",
43 "start_word": 32,
44 "end_word": 69,
45 "topics": [
46 {
47 "topic": "Spacewalk",
48 "confidence_score": 0.91581345
49 }
50 ]
51 }
52 ]
53 }
54 }
55 },
56 "intents": {
57 "results": {
58 "intents": {
59 "segments": [
60 {
61 "text": "If you found this valuable, you can subscribe to the show on spotify or your favorite podcast app.",
62 "start_word": 354,
63 "end_word": 414,
64 "intents": [
65 {
66 "intent": "Encourage podcasting",
67 "confidence_score": 0.0038975573
68 }
69 ]
70 }
71 ]
72 }
73 }
74 },
75 "sentiments": {
76 "segments": [
77 {
78 "text": "Yeah. As as much as, um, it's worth celebrating, uh, the first, uh, spacewalk, um, with an all-female team, I think many of us are looking forward to it just being normal. And, um, I think if it_signf",
79 "start_word": 0,
80 "end_word": 69,
81 "sentiment": "positive",
82 "sentiment_score": 0.5810546875
83 }
84 ],
85 "average": {
86 "sentiment": "positive",
87 "sentiment_score": 0.5810185185185185
88 }
89 }
90 }
91}
Analyze text content using Deepgrams text analysis API
Was this page helpful?
Previous

List Projects

Next
Built with

Authentication

AuthorizationToken

Use Authorization: Token <API_KEY> Example: Authorization: Token 12345abcdef

OR
AuthorizationBearer

Use Authorization: Bearer <JWT> Example: Authorization: Bearer eyJhbGciOiJ...

Query parameters

callbackstringOptional
URL to which we'll make the callback request
callback_methodenumOptionalDefaults to POST
HTTP method by which the callback request will be made
Allowed values:
sentimentbooleanOptionalDefaults to false
Recognizes the sentiment throughout a transcript or text
summarizeenum or booleanOptional
Summarize content. For Listen API, supports string version option. For Read API, accepts boolean only.
tagstring or list of stringsOptional
Label your requests for the purpose of identification during usage reporting
topicsbooleanOptionalDefaults to false
Detect topics throughout a transcript or text
custom_topicstring or list of stringsOptional

Custom topics you want the model to detect within your input audio or text if present Submit up to 100.

custom_topic_modeenumOptionalDefaults to extended

Sets how the model will interpret strings submitted to the custom_topic param. When strict, the model will only return topics submitted using the custom_topic param. When extended, the model will return its own detected topics in addition to those submitted using the custom_topic param

Allowed values:
intentsbooleanOptionalDefaults to false
Recognizes speaker intent throughout a transcript or text
custom_intentstring or list of stringsOptional
Custom intents you want the model to detect within your input audio if present
custom_intent_modeenumOptionalDefaults to extended

Sets how the model will interpret intents submitted to the custom_intent param. When strict, the model will only return intents submitted using the custom_intent param. When extended, the model will return its own detected intents in the custom_intent param.

Allowed values:
languagestringOptionalDefaults to en
The [BCP-47 language tag](https://tools.ietf.org/html/bcp47) that hints at the primary spoken language. Depending on the Model and API endpoint you choose only certain languages are available

Request

Analyze a text file
ReadV1RequestUrlobjectRequired
OR
ReadV1RequestTextobjectRequired

Response

Successful text analysis
metadataobject
resultsobject

Errors

400
Bad Request Error

The BCP-47 language tag that hints at the primary spoken language. Depending on the Model and API endpoint you choose only certain languages are available